include:
 # To fetch the latest template, use:
 # - template: Terraform.latest.gitlab-ci.yml
 # To fetch the advanced latest template, use:
 # - template: Terraform/Base.latest.gitlab-ci.yml
 # To fetch the stable template, use:
  - template: Terraform.gitlab-ci.yml
 # To fetch the advanced stable template, use:
  #- template: Terraform/Base.gitlab-ci.yml

variables:
  TF_STATE_NAME: default
  TF_CACHE_KEY: default
  # If your terraform files are in a subdirectory, set TF_ROOT accordingly. For example:
  # TF_ROOT: terraform/production

stages:
  - init
  - validate
  - test
  - build
  - deploy
  - cleanup

destroy:
  extends: .terraform:destroy
  needs: []